const app = getApp();
const util = require("../../../util/util.js")
Page({
  data: {
    StatusBar: app.globalData.StatusBar,
    CustomBar: app.globalData.CustomBar,
    loadModal:false,
    filterTime:util.filterTime,
    from:0,
    size:6,
    list:[
    ]
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData()
  },
  getData: function(){
    let param = {  }
    util.http("/wx/getFinishTask", param,  (err, list) =>{
      if( err != 0) return;
      list = list.map( (item)=>{
        item.finish_at = util.filterTime( item.finish_at);
        return item
      })
      this.setData({ list })
    });
  }
})